import request from '@/utils/request'

// 查询运单明细列表
export function listCostDetails(query) {
  return request({
    url: '/system/costDetails/list',
    method: 'get',
    params: query
  })
}

// 查询运单明细详细
export function getCostDetails(waybillDetailId) {
  return request({
    url: '/system/costDetails/' + waybillDetailId,
    method: 'get'
  })
}

// 新增运单明细
export function addCostDetails(data) {
  return request({
    url: '/system/costDetails',
    method: 'post',
    data: data
  })
}

// 修改运单明细
export function updateCostDetails(data) {
  return request({
    url: '/system/costDetails',
    method: 'put',
    data: data
  })
}

// 删除运单明细
export function delCostDetails(waybillDetailId) {
  return request({
    url: '/system/costDetails/' + waybillDetailId,
    method: 'delete'
  })
}
